DU(1)

NOME
du - estima o espaço utilizado

SINOPSE
du [OPÇÃO]... [ARQUIVO]...
du [OPÇÃO]... --files0-from=F

DESCRIÇÃO

Resume o uso dispositivo do conjunto de ARQUIVOs do dispositivo, recursivamente para diretórios.

Argumentos obrigatórios para opções longas também o são para opções curtas.

-0, --null
    termina cada linha de saída com NULO, não com nova linha

-a, --all
    escreve contagens para todos os arquivos, não somente diretórios

-A, --apparent-size
    imprime os tamanhos aparentes em vez do uso do dispositivo; embora o tamanho aparente seja geralmente menor, ele pode ser maior devido a lacunas em arquivos ('esparsos'), fragmentação interna, blocos indiretos, etc.

-B, --block-size=TAMANHO
    o tamanho considera blocos de TAM bytes; veja o formato de TAM abaixo/ por exemplo, "-BM" emite tamanhos em unidades de 1.048.576 bytes

-b, --bytes
    equivalente a '--apparent-size --block-size=1'

-c, --total
    produz um total geral

-D, --dereference-args
    desreferencia apenas links simbólicos que estão listados na linha de comando

-d, --max-depth=N
    imprime o total para um diretório (ou arquivo, com --all) só se for N ou menos níveis abaixo do argumento da linha de comando; --max-depth=0 é igual ao sinalizador --summarize

--files0-from=F
    resume o uso do dispositivo dos nomes de arquivo terminados em NUL especificados no arquivo F; se F for -, lê os nomes da entrada padrão

-H  equivalente a --dereference-args (-D)

-h, --human-readable
    imprime tamanhos em formato legível por humanos (por exemplo, 1K 234M 2G)

--inodes
    lista as informações de uso do inode em vez do uso do bloco

-k  o mesmo que --block-size=1K

-L, --dereference
    desreferencia todos os links simbólicos

-l, --count-links
    conta os tamanhos muitas vezes se foram links físicos

-m  like --block-size=1M

-P, --no-dereference
    não segue os links simbólicos (este é o padrão)

-S, --separate-dirs
    para diretórios que não incluem tamanho de subdiretórios

--si
    como -h, mas usa potências de 1000, não de 1024

-s, --summarize
    exibe somente um total para cada argumento

-t, --threshold=TAM
    exclui entradas menores que TAM se forem positivas, ou entradas maiores que TAM se forem negativas

--time
    exibe a hora da última modificação de qualquer arquivo no diretório ou em qualquer um de seus subdiretórios

--time=PALAVRA
    exibe a hora por extenso em vez da hora de modificação: atime, access, use, ctime ou status

--time-style=ESTILO
    formato de hora/data com --time; veja TIME_STYLE abaixo

-X, --exclude-from=ARQUIVO
    exclui arquivos que correspondem a qualquer padrão no ARQUIVO

--exclude=PADRÃO
    exclui arquivos que correspondam ao PADRÃO

-x, --one-file-system
    ignora diretórios em sistemas de arquivos diferentes

--help
    mostra esta ajuda e sai

--version
    informa a versão e sai

Valores exibidos estão em unidades do primeiro TAM disponível de --block-size, e das variáveis de ambiente DF_BLOCK_SIZE, BLOCK_SIZE e BLOCKSIZE. Do contrário, as unidades são definidas com 1024 bytes (ou 512 se POSIXLY_CORRECT estiver definido).

O argumento TAM é uma unidade opcional e inteiro (exemplo: 10K é 10*1024). As unidades são K,M,G,T,P,E,Z,Y,R,Q (vezes 1024) ou KB,MB,... (vezes 1000). Prefixos binários também podem ser usados: KiB=K, MiB=M e assim por diante.

O argumento --time-style ESTILO pode ser full-iso, long-iso, iso ou +FORMAT. FORMATO é interpretado como no date(1). Além disso, a variável de ambiente TIME_STYLE define o estilo padrão para usar.

PADRÕES
PADRÃO é um padrão do shell (não uma expressão regular). O padrão ? corresponde a qualquer caractere, enquanto * corresponde a qualquer string (composta por zero, um ou vários caracteres). Por exemplo, *.o corresponderá a qualquer arquivo cujo nome termine em .o. Portanto, o comando

    du --exclude='*.o'

vai ignorar todos os arquivos e subdiretórios que terminam em .o (incluindo o próprio arquivo .o).

AUTOR
Escrito por Torbjorn Granlund, David MacKenzie, Paul Eggert e Jim Meyering.

RELATANDO PROBLEMAS
Relate erros para: bug-coreutils@gnu.org
Página do GNU coreutils: <https://www.gnu.org/software/coreutils/>
Ajuda em geral no uso de software GNU: <https://www.gnu.org/gethelp/>
Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>

VEJA TAMBÉM
Documentação completa <https://www.gnu.org/software/coreutils/du>
ou localmente disponível via: info '(coreutils) du invocation'

Empacotado por Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo.
NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por André Luiz Fassone <lonely_wolf@ig.com.br>, Ricardo C.O.Freitas <english.quest@best-service.com> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).